package com.ss.android.ugc.aweme.discover.model;

import X.C3350SUw;
import com.bytedance.covode.number.Covode;
import java.util.List;

public class SearchMixUserData {
    public C3350SUw cardInfo;
    public String cardTitle;
    public boolean hasTopUser;
    public List<SearchUser> users;

    static {
        Covode.recordClassIndex(65205);
    }

    public SearchMixUserData setCardTitle(String str) {
        this.cardTitle = str;
        return this;
    }

    public SearchMixUserData setHasTopUser(boolean z) {
        this.hasTopUser = z;
        return this;
    }

    public SearchMixUserData setUsers(List<SearchUser> list) {
        this.users = list;
        return this;
    }
}
